| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.TypeChecking.Empty

Synopsis

isEmptyType :: MonadTCM tcm => Type -> tcm ()
isEmptyTypeC :: MonadTCM tcm => Type -> tcm Constraints

Documentation

isEmptyType :: MonadTCM tcm => Type -> tcm () | Source

Make sure that a type is empty.

isEmptyTypeC :: MonadTCM tcm => Type -> tcm Constraints | Source

Produced by Haddock version 2.4.2